package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2019/5/10 10:24
 */
@Getter
@Setter
public class RetrievalVO {
    @NotNull(message = "请输入标签类型")
    private Integer type;
    @NotNull(message = "请输入病人年龄")
    private Integer age;
    @NotNull(message = "请输入症状")
    private String InputStr;
    @NotNull(message = "请输入病人性别")
    private Integer sexType;
    //需要去重的id
    private List<Long> inputIds;
}
