package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.LibraryDetailDTO;
import com.diagbot.dto.LibraryIndexDTO;
import com.diagbot.entity.LibraryDetail;
import com.diagbot.vo.LibraryIndexVO;

import java.util.List;

/**
 * <p>
 * 提示信息明细 服务类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface LibraryDetailService extends IService<LibraryDetail> {

    /**
     * 返回内容
     *
     * @param conceptId
     * @return
     */
    public List<LibraryDetailDTO> getByParam(Long conceptId);


    /**
     * 检索
     *
     * @param libraryIndexVO
     * @return
     */
    public List<LibraryIndexDTO> index(LibraryIndexVO libraryIndexVO);
}
