package com.diagbot.service.impl;

import com.diagbot.dto.LibraryDetailDTO;
import com.diagbot.dto.LibraryIndexDTO;
import com.diagbot.vo.LibraryIndexVO;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.LibraryDetail;
import com.diagbot.mapper.LibraryDetailMapper;
import com.diagbot.service.LibraryDetailService;

import java.util.List;

/**
 * <p>
 * 提示信息明细 服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
@Service
public class LibraryDetailServiceImpl extends ServiceImpl<LibraryDetailMapper, LibraryDetail> implements LibraryDetailService {


    @Override
    public List<LibraryDetailDTO> getByParam(Long conceptId) {
        return baseMapper.getByParam(conceptId);
    }

    @Override
    public List<LibraryIndexDTO> index(LibraryIndexVO libraryIndexVO) {
        return baseMapper.index(libraryIndexVO);
    }
}
